Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.freenetproject
Class ForwardPortStatus

    java.lang.Object
      org.freenetproject.ForwardPortStatus

    public class ForwardPortStatus

extends Object

Field Summary
`static int` | `DEFINITE_FAILURE` The port forward definitely failed.
`static int` | `DEFINITE_SUCCESS` The port forward definitely succeeded.
`int` | `externalPort` Some plugins may need to change the external port.
`static int` | `IN_PROGRESS` The port forward is in progress
`static int` | `MAYBE_SUCCESS` The port forward may have succeeded.
`static int` | `PROBABLE_FAILURE` The port forward probably failed
`static int` | `PROBABLE_SUCCESS` The port forward probably succeeded.
`String` | `reasonString`
`int` | `status`

Constructor Summary
`ForwardPortStatus(int status, String reason, int externalPort)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    public final int status

### DEFINITE_SUCCESS

    public static final int DEFINITE_SUCCESS

  The port forward definitely succeeded.

  See Also:
    Constant Field Values

### PROBABLE_SUCCESS

    public static final int PROBABLE_SUCCESS

  The port forward probably succeeded. I.e. it succeeded unless there was for example hostile action on the part of the router.

  See Also:
    Constant Field Values

### MAYBE_SUCCESS

    public static final int MAYBE_SUCCESS

  The port forward may have succeeded. Or it may not have. We should definitely try to check out of band. See UP&P: Many routers say they've forwarded the port when they haven't.

  See Also:
    Constant Field Values

### IN_PROGRESS

    public static final int IN_PROGRESS

  The port forward is in progress

  See Also:
    Constant Field Values

### PROBABLE_FAILURE

    public static final int PROBABLE_FAILURE

  The port forward probably failed

  See Also:
    Constant Field Values

### DEFINITE_FAILURE

    public static final int DEFINITE_FAILURE

  The port forward definitely failed.

  See Also:
    Constant Field Values

### reasonString

    public final String reasonString

### externalPort

    public final int externalPort

  Some plugins may need to change the external port. They can return it to the node here.

Constructor Detail

### ForwardPortStatus

    public ForwardPortStatus(int status,
                             String reason,
                             int externalPort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD